com.beanit.asn1bean.ber

## Class DecodeUtil

- java.lang.Object
- - com.beanit.asn1bean.ber.DecodeUtil

-     public class DecodeUtil
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `decodeUnknownComponent(java.io.InputStream is)`
    `static int` | `decodeUnknownComponent(java.io.InputStream is, java.io.OutputStream os)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### decodeUnknownComponent

          public static int decodeUnknownComponent(java.io.InputStream is)
                                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### decodeUnknownComponent

          public static int decodeUnknownComponent(java.io.InputStream is,
                                                   java.io.OutputStream os)
                                            throws java.io.IOException

      Throws:
        `java.io.IOException`